VirtualBox

source: kBuild/vendor/gnumake/3.82/Makefile.in@ 2580

最後變更 在這個檔案從2580是 2579,由 bird 提交於 13 年 前

Importing make-3.82.tar.bz2 (md5sum 1a11100f3c63fcf5753818e59d63088f) with --auto-props but no keywords.

檔案大小: 40.2 KB
 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18# This is a -*-Makefile-*-, or close enough
19#
20# Copyright (C) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006,
21# 2007, 2008, 2009, 2010 Free Software Foundation, Inc.
22# This file is part of GNU Make.
23#
24# GNU Make is free software; you can redistribute it and/or modify it under
25# the terms of the GNU General Public License as published by the Free Software
26# Foundation; either version 3 of the License, or (at your option) any later
27# version.
28#
29# GNU Make is distributed in the hope that it will be useful, but WITHOUT ANY
30# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
31# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
32# details.
33#
34# You should have received a copy of the GNU General Public License along with
35# this program. If not, see <http://www.gnu.org/licenses/>.
36
37
38VPATH = @srcdir@
39pkgdatadir = $(datadir)/@PACKAGE@
40pkgincludedir = $(includedir)/@PACKAGE@
41pkglibdir = $(libdir)/@PACKAGE@
42pkglibexecdir = $(libexecdir)/@PACKAGE@
43am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
44install_sh_DATA = $(install_sh) -c -m 644
45install_sh_PROGRAM = $(install_sh) -c
46install_sh_SCRIPT = $(install_sh) -c
47INSTALL_HEADER = $(INSTALL_DATA)
48transform = $(program_transform_name)
49NORMAL_INSTALL = :
50PRE_INSTALL = :
51POST_INSTALL = :
52NORMAL_UNINSTALL = :
53PRE_UNINSTALL = :
54POST_UNINSTALL = :
55build_triplet = @build@
56host_triplet = @host@
57bin_PROGRAMS = make$(EXEEXT)
58# Only process if target is MS-Windows
59@WINDOWSENV_TRUE@am__append_1 = $(W32LIB)
60# Only process if target is MS-Windows
61@WINDOWSENV_TRUE@am__append_2 = $(W32INC)
62check_PROGRAMS = loadavg$(EXEEXT)
63subdir = .
64DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
65 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
66 $(srcdir)/config.h.in $(top_srcdir)/configure ABOUT-NLS \
67 AUTHORS COPYING ChangeLog INSTALL NEWS alloca.c getloadavg.c
68ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
69am__aclocal_m4_deps = $(top_srcdir)/config/dospaths.m4 \
70 $(top_srcdir)/config/gettext.m4 $(top_srcdir)/config/iconv.m4 \
71 $(top_srcdir)/config/isc-posix.m4 \
72 $(top_srcdir)/config/lib-ld.m4 \
73 $(top_srcdir)/config/lib-link.m4 \
74 $(top_srcdir)/config/lib-prefix.m4 $(top_srcdir)/config/nls.m4 \
75 $(top_srcdir)/config/po.m4 $(top_srcdir)/config/progtest.m4 \
76 $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
77am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
78 $(ACLOCAL_M4)
79am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
80 configure.lineno config.status.lineno
81mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
82CONFIG_HEADER = config.h
83CONFIG_CLEAN_FILES =
84CONFIG_CLEAN_VPATH_FILES =
85am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
86PROGRAMS = $(bin_PROGRAMS)
87nodist_loadavg_OBJECTS = loadavg-getloadavg.$(OBJEXT)
88loadavg_OBJECTS = $(nodist_loadavg_OBJECTS)
89loadavg_DEPENDENCIES =
90am__make_SOURCES_DIST = ar.c arscan.c commands.c default.c dir.c \
91 expand.c file.c function.c getopt.c getopt1.c implicit.c job.c \
92 main.c misc.c read.c remake.c remote-stub.c remote-cstms.c \
93 rule.c signame.c strcache.c variable.c version.c vpath.c \
94 hash.c
95@USE_CUSTOMS_FALSE@am__objects_1 = remote-stub.$(OBJEXT)
96@USE_CUSTOMS_TRUE@am__objects_1 = remote-cstms.$(OBJEXT)
97am_make_OBJECTS = ar.$(OBJEXT) arscan.$(OBJEXT) commands.$(OBJEXT) \
98 default.$(OBJEXT) dir.$(OBJEXT) expand.$(OBJEXT) \
99 file.$(OBJEXT) function.$(OBJEXT) getopt.$(OBJEXT) \
100 getopt1.$(OBJEXT) implicit.$(OBJEXT) job.$(OBJEXT) \
101 main.$(OBJEXT) misc.$(OBJEXT) read.$(OBJEXT) remake.$(OBJEXT) \
102 $(am__objects_1) rule.$(OBJEXT) signame.$(OBJEXT) \
103 strcache.$(OBJEXT) variable.$(OBJEXT) version.$(OBJEXT) \
104 vpath.$(OBJEXT) hash.$(OBJEXT)
105make_OBJECTS = $(am_make_OBJECTS)
106am__DEPENDENCIES_1 =
107@WINDOWSENV_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
108make_DEPENDENCIES = @LIBOBJS@ @ALLOCA@ $(am__DEPENDENCIES_1) \
109 $(am__DEPENDENCIES_2)
110DEFAULT_INCLUDES = -I.@am__isrc@
111depcomp = $(SHELL) $(top_srcdir)/config/depcomp
112am__depfiles_maybe = depfiles
113am__mv = mv -f
114COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
115 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
116CCLD = $(CC)
117LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
118SOURCES = $(nodist_loadavg_SOURCES) $(make_SOURCES) \
119 $(EXTRA_make_SOURCES)
120DIST_SOURCES = $(am__make_SOURCES_DIST) $(EXTRA_make_SOURCES)
121RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
122 html-recursive info-recursive install-data-recursive \
123 install-dvi-recursive install-exec-recursive \
124 install-html-recursive install-info-recursive \
125 install-pdf-recursive install-ps-recursive install-recursive \
126 installcheck-recursive installdirs-recursive pdf-recursive \
127 ps-recursive uninstall-recursive
128am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
129am__vpath_adj = case $$p in \
130 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
131 *) f=$$p;; \
132 esac;
133am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
134am__install_max = 40
135am__nobase_strip_setup = \
136 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
137am__nobase_strip = \
138 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
139am__nobase_list = $(am__nobase_strip_setup); \
140 for p in $$list; do echo "$$p $$p"; done | \
141 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
142 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
143 if (++n[$$2] == $(am__install_max)) \
144 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
145 END { for (dir in files) print dir, files[dir] }'
146am__base_list = \
147 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
148 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
149man1dir = $(mandir)/man1
150NROFF = nroff
151MANS = $(man_MANS)
152HEADERS = $(noinst_HEADERS)
153RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
154 distclean-recursive maintainer-clean-recursive
155AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
156 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
157 distdir dist dist-all distcheck
158ETAGS = etags
159CTAGS = ctags
160DIST_SUBDIRS = glob config po doc w32
161DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162distdir = $(PACKAGE)-$(VERSION)
163top_distdir = $(distdir)
164am__remove_distdir = \
165 { test ! -d "$(distdir)" \
166 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167 && rm -fr "$(distdir)"; }; }
168am__relativize = \
169 dir0=`pwd`; \
170 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
171 sed_rest='s,^[^/]*/*,,'; \
172 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
173 sed_butlast='s,/*[^/]*$$,,'; \
174 while test -n "$$dir1"; do \
175 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
176 if test "$$first" != "."; then \
177 if test "$$first" = ".."; then \
178 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
179 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
180 else \
181 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
182 if test "$$first2" = "$$first"; then \
183 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
184 else \
185 dir2="../$$dir2"; \
186 fi; \
187 dir0="$$dir0"/"$$first"; \
188 fi; \
189 fi; \
190 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
191 done; \
192 reldir="$$dir2"
193DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
194GZIP_ENV = --best
195distuninstallcheck_listfiles = find . -type f -print
196distcleancheck_listfiles = find . -type f -print
197ACLOCAL = @ACLOCAL@
198ALLOCA = @ALLOCA@
199AMTAR = @AMTAR@
200AR = @AR@
201AUTOCONF = @AUTOCONF@
202AUTOHEADER = @AUTOHEADER@
203AUTOMAKE = @AUTOMAKE@
204AWK = @AWK@
205CC = @CC@
206CCDEPMODE = @CCDEPMODE@
207CFLAGS = @CFLAGS@
208CPP = @CPP@
209CPPFLAGS = @CPPFLAGS@
210CYGPATH_W = @CYGPATH_W@
211DEFS = -DLOCALEDIR=\"$(localedir)\" -DLIBDIR=\"$(libdir)\" -DINCLUDEDIR=\"$(includedir)\" @DEFS@
212DEPDIR = @DEPDIR@
213ECHO_C = @ECHO_C@
214ECHO_N = @ECHO_N@
215ECHO_T = @ECHO_T@
216EGREP = @EGREP@
217EXEEXT = @EXEEXT@
218GETLOADAVG_LIBS = @GETLOADAVG_LIBS@
219GLOBINC = @GLOBINC@
220GLOBLIB = @GLOBLIB@
221GMSGFMT = @GMSGFMT@
222GREP = @GREP@
223INSTALL = @INSTALL@
224INSTALL_DATA = @INSTALL_DATA@
225INSTALL_PROGRAM = @INSTALL_PROGRAM@
226INSTALL_SCRIPT = @INSTALL_SCRIPT@
227INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
228INTLLIBS = @INTLLIBS@
229KMEM_GROUP = @KMEM_GROUP@
230LDFLAGS = @LDFLAGS@
231LIBICONV = @LIBICONV@
232LIBINTL = @LIBINTL@
233LIBOBJS = @LIBOBJS@
234LIBS = @LIBS@
235LTLIBICONV = @LTLIBICONV@
236LTLIBINTL = @LTLIBINTL@
237LTLIBOBJS = @LTLIBOBJS@
238MAKEINFO = @MAKEINFO@
239MAKE_HOST = @MAKE_HOST@
240MKDIR_P = @MKDIR_P@
241MKINSTALLDIRS = @MKINSTALLDIRS@
242MSGFMT = @MSGFMT@
243MSGMERGE = @MSGMERGE@
244NEED_SETGID = @NEED_SETGID@
245OBJEXT = @OBJEXT@
246PACKAGE = @PACKAGE@
247PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
248PACKAGE_NAME = @PACKAGE_NAME@
249PACKAGE_STRING = @PACKAGE_STRING@
250PACKAGE_TARNAME = @PACKAGE_TARNAME@
251PACKAGE_URL = @PACKAGE_URL@
252PACKAGE_VERSION = @PACKAGE_VERSION@
253PATH_SEPARATOR = @PATH_SEPARATOR@
254PERL = @PERL@
255POSUB = @POSUB@
256RANLIB = @RANLIB@
257REMOTE = @REMOTE@
258SET_MAKE = @SET_MAKE@
259SHELL = @SHELL@
260STRIP = @STRIP@
261USE_NLS = @USE_NLS@
262VERSION = @VERSION@
263XGETTEXT = @XGETTEXT@
264abs_builddir = @abs_builddir@
265abs_srcdir = @abs_srcdir@
266abs_top_builddir = @abs_top_builddir@
267abs_top_srcdir = @abs_top_srcdir@
268ac_ct_CC = @ac_ct_CC@
269am__include = @am__include@
270am__leading_dot = @am__leading_dot@
271am__quote = @am__quote@
272am__tar = @am__tar@
273am__untar = @am__untar@
274bindir = @bindir@
275build = @build@
276build_alias = @build_alias@
277build_cpu = @build_cpu@
278build_os = @build_os@
279build_vendor = @build_vendor@
280builddir = @builddir@
281datadir = @datadir@
282datarootdir = @datarootdir@
283docdir = @docdir@
284dvidir = @dvidir@
285exec_prefix = @exec_prefix@
286host = @host@
287host_alias = @host_alias@
288host_cpu = @host_cpu@
289host_os = @host_os@
290host_vendor = @host_vendor@
291htmldir = @htmldir@
292includedir = @includedir@
293infodir = @infodir@
294install_sh = @install_sh@
295libdir = @libdir@
296libexecdir = @libexecdir@
297
298# --------------- Internationalization Section
299localedir = $(datadir)/locale
300localstatedir = @localstatedir@
301mandir = @mandir@
302mkdir_p = @mkdir_p@
303oldincludedir = @oldincludedir@
304pdfdir = @pdfdir@
305prefix = @prefix@
306program_transform_name = @program_transform_name@
307psdir = @psdir@
308sbindir = @sbindir@
309sharedstatedir = @sharedstatedir@
310srcdir = @srcdir@
311sysconfdir = @sysconfdir@
312target_alias = @target_alias@
313top_build_prefix = @top_build_prefix@
314top_builddir = @top_builddir@
315top_srcdir = @top_srcdir@
316AUTOMAKE_OPTIONS = 1.8 dist-bzip2 check-news
317ACLOCAL_AMFLAGS = -I config
318
319# Only process if target is MS-Windows
320@WINDOWSENV_TRUE@MAYBE_W32 = w32
321@WINDOWSENV_TRUE@W32INC = -I $(top_srcdir)/w32/include
322@WINDOWSENV_TRUE@W32LIB = -Lw32 -lw32
323SUBDIRS = glob config po doc $(MAYBE_W32)
324@USE_CUSTOMS_FALSE@remote = remote-stub.c
325@USE_CUSTOMS_TRUE@remote = remote-cstms.c
326make_SOURCES = ar.c arscan.c commands.c default.c dir.c expand.c file.c \
327 function.c getopt.c getopt1.c implicit.c job.c main.c \
328 misc.c read.c remake.c $(remote) rule.c signame.c \
329 strcache.c variable.c version.c vpath.c hash.c
330
331EXTRA_make_SOURCES = vmsjobs.c remote-stub.c remote-cstms.c
332noinst_HEADERS = commands.h dep.h filedef.h job.h make.h rule.h variable.h \
333 debug.h getopt.h gettext.h hash.h
334
335make_LDADD = @LIBOBJS@ @ALLOCA@ $(GLOBLIB) @GETLOADAVG_LIBS@ @LIBINTL@ \
336 $(am__append_1)
337man_MANS = make.1
338AM_CPPFLAGS = $(GLOBINC) $(am__append_2)
339
340# Extra stuff to include in the distribution.
341EXTRA_DIST = README build.sh.in $(man_MANS) \
342 README.customs README.OS2 \
343 SCOPTIONS SMakefile \
344 README.Amiga Makefile.ami config.ami make.lnk amiga.c amiga.h \
345 README.DOS Makefile.DOS configure.bat dosbuild.bat configh.dos\
346 README.W32 NMakefile config.h.W32 build_w32.bat subproc.bat \
347 make_msvc_net2003.sln make_msvc_net2003.vcproj \
348 readme.vms makefile.vms makefile.com config.h-vms \
349 vmsdir.h vmsfunctions.c vmsify.c
350
351
352# This is built during configure, but behind configure's back
353DISTCLEANFILES = build.sh
354
355# --------------- Local INSTALL Section
356
357# If necessary, change the gid of the app and turn on the setgid flag.
358#
359
360# Whether or not make needs to be installed setgid.
361# The value should be either `true' or `false'.
362# On many systems, the getloadavg function (used to implement the `-l'
363# switch) will not work unless make is installed setgid kmem.
364#
365inst_setgid = @NEED_SETGID@
366
367# Install make setgid to this group so it can get the load average.
368#
369inst_group = @KMEM_GROUP@
370nodist_loadavg_SOURCES = getloadavg.c
371loadavg_CPPFLAGS = -DTEST
372loadavg_LDADD = @GETLOADAVG_LIBS@
373
374# > check-regression
375#
376# Look for the make test suite, and run it if found and we can find perl.
377# If we're building outside the tree, we use symlinks to make a local copy of
378# the test suite. Unfortunately the test suite itself isn't localizable yet.
379#
380MAKETESTFLAGS =
381all: config.h
382 $(MAKE) $(AM_MAKEFLAGS) all-recursive
383
384.SUFFIXES:
385.SUFFIXES: .c .o .obj
386am--refresh:
387 @:
388$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
389 @for dep in $?; do \
390 case '$(am__configure_deps)' in \
391 *$$dep*) \
392 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
393 $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
394 && exit 0; \
395 exit 1;; \
396 esac; \
397 done; \
398 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
399 $(am__cd) $(top_srcdir) && \
400 $(AUTOMAKE) --gnu Makefile
401.PRECIOUS: Makefile
402Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
403 @case '$?' in \
404 *config.status*) \
405 echo ' $(SHELL) ./config.status'; \
406 $(SHELL) ./config.status;; \
407 *) \
408 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
409 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
410 esac;
411
412$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
413 $(SHELL) ./config.status --recheck
414
415$(top_srcdir)/configure: $(am__configure_deps)
416 $(am__cd) $(srcdir) && $(AUTOCONF)
417$(ACLOCAL_M4): $(am__aclocal_m4_deps)
418 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
419$(am__aclocal_m4_deps):
420
421config.h: stamp-h1
422 @if test ! -f $@; then \
423 rm -f stamp-h1; \
424 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
425 else :; fi
426
427stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
428 @rm -f stamp-h1
429 cd $(top_builddir) && $(SHELL) ./config.status config.h
430$(srcdir)/config.h.in: $(am__configure_deps)
431 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
432 rm -f stamp-h1
433 touch $@
434
435distclean-hdr:
436 -rm -f config.h stamp-h1
437install-binPROGRAMS: $(bin_PROGRAMS)
438 @$(NORMAL_INSTALL)
439 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
440 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
441 for p in $$list; do echo "$$p $$p"; done | \
442 sed 's/$(EXEEXT)$$//' | \
443 while read p p1; do if test -f $$p; \
444 then echo "$$p"; echo "$$p"; else :; fi; \
445 done | \
446 sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
447 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
448 sed 'N;N;N;s,\n, ,g' | \
449 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
450 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
451 if ($$2 == $$4) files[d] = files[d] " " $$1; \
452 else { print "f", $$3 "/" $$4, $$1; } } \
453 END { for (d in files) print "f", d, files[d] }' | \
454 while read type dir files; do \
455 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
456 test -z "$$files" || { \
457 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
458 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
459 } \
460 ; done
461
462uninstall-binPROGRAMS:
463 @$(NORMAL_UNINSTALL)
464 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
465 files=`for p in $$list; do echo "$$p"; done | \
466 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
467 -e 's/$$/$(EXEEXT)/' `; \
468 test -n "$$list" || exit 0; \
469 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
470 cd "$(DESTDIR)$(bindir)" && rm -f $$files
471
472clean-binPROGRAMS:
473 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
474
475clean-checkPROGRAMS:
476 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
477loadavg$(EXEEXT): $(loadavg_OBJECTS) $(loadavg_DEPENDENCIES)
478 @rm -f loadavg$(EXEEXT)
479 $(LINK) $(loadavg_OBJECTS) $(loadavg_LDADD) $(LIBS)
480make$(EXEEXT): $(make_OBJECTS) $(make_DEPENDENCIES)
481 @rm -f make$(EXEEXT)
482 $(LINK) $(make_OBJECTS) $(make_LDADD) $(LIBS)
483
484mostlyclean-compile:
485 -rm -f *.$(OBJEXT)
486
487distclean-compile:
488 -rm -f *.tab.c
489
490@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/alloca.Po@am__quote@
491@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getloadavg.Po@am__quote@
492@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ar.Po@am__quote@
493@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arscan.Po@am__quote@
494@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/commands.Po@am__quote@
495@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/default.Po@am__quote@
496@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dir.Po@am__quote@
497@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expand.Po@am__quote@
498@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file.Po@am__quote@
499@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/function.Po@am__quote@
500@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt.Po@am__quote@
501@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt1.Po@am__quote@
502@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@
503@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/implicit.Po@am__quote@
504@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/job.Po@am__quote@
505@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loadavg-getloadavg.Po@am__quote@
506@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
507@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/misc.Po@am__quote@
508@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
509@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remake.Po@am__quote@
510@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remote-cstms.Po@am__quote@
511@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remote-stub.Po@am__quote@
512@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rule.Po@am__quote@
513@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/signame.Po@am__quote@
514@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strcache.Po@am__quote@
515@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/variable.Po@am__quote@
516@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version.Po@am__quote@
517@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vmsjobs.Po@am__quote@
518@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vpath.Po@am__quote@
519
520.c.o:
521@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
522@am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
523@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
524@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
525@am__fastdepCC_FALSE@ $(COMPILE) -c $<
526
527.c.obj:
528@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
529@am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
530@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
531@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
532@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
533
534loadavg-getloadavg.o: getloadavg.c
535@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(loadavg_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT loadavg-getloadavg.o -MD -MP -MF $(DEPDIR)/loadavg-getloadavg.Tpo -c -o loadavg-getloadavg.o `test -f 'getloadavg.c' || echo '$(srcdir)/'`getloadavg.c
536@am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/loadavg-getloadavg.Tpo $(DEPDIR)/loadavg-getloadavg.Po
537@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='getloadavg.c' object='loadavg-getloadavg.o' libtool=no @AMDEPBACKSLASH@
538@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
539@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(loadavg_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o loadavg-getloadavg.o `test -f 'getloadavg.c' || echo '$(srcdir)/'`getloadavg.c
540
541loadavg-getloadavg.obj: getloadavg.c
542@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(loadavg_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT loadavg-getloadavg.obj -MD -MP -MF $(DEPDIR)/loadavg-getloadavg.Tpo -c -o loadavg-getloadavg.obj `if test -f 'getloadavg.c'; then $(CYGPATH_W) 'getloadavg.c'; else $(CYGPATH_W) '$(srcdir)/getloadavg.c'; fi`
543@am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/loadavg-getloadavg.Tpo $(DEPDIR)/loadavg-getloadavg.Po
544@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='getloadavg.c' object='loadavg-getloadavg.obj' libtool=no @AMDEPBACKSLASH@
545@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
546@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(loadavg_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o loadavg-getloadavg.obj `if test -f 'getloadavg.c'; then $(CYGPATH_W) 'getloadavg.c'; else $(CYGPATH_W) '$(srcdir)/getloadavg.c'; fi`
547install-man1: $(man_MANS)
548 @$(NORMAL_INSTALL)
549 test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
550 @list=''; test -n "$(man1dir)" || exit 0; \
551 { for i in $$list; do echo "$$i"; done; \
552 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
553 sed -n '/\.1[a-z]*$$/p'; \
554 } | while read p; do \
555 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
556 echo "$$d$$p"; echo "$$p"; \
557 done | \
558 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
559 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
560 sed 'N;N;s,\n, ,g' | { \
561 list=; while read file base inst; do \
562 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
563 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
564 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
565 fi; \
566 done; \
567 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
568 while read files; do \
569 test -z "$$files" || { \
570 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
571 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
572 done; }
573
574uninstall-man1:
575 @$(NORMAL_UNINSTALL)
576 @list=''; test -n "$(man1dir)" || exit 0; \
577 files=`{ for i in $$list; do echo "$$i"; done; \
578 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
579 sed -n '/\.1[a-z]*$$/p'; \
580 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
581 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
582 test -z "$$files" || { \
583 echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
584 cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
585
586# This directory's subdirectories are mostly independent; you can cd
587# into them and run `make' without going through this Makefile.
588# To change the values of `make' variables: instead of editing Makefiles,
589# (1) if the variable is set in `config.status', edit `config.status'
590# (which will cause the Makefiles to be regenerated when you run `make');
591# (2) otherwise, pass the desired values on the `make' command line.
592$(RECURSIVE_TARGETS):
593 @fail= failcom='exit 1'; \
594 for f in x $$MAKEFLAGS; do \
595 case $$f in \
596 *=* | --[!k]*);; \
597 *k*) failcom='fail=yes';; \
598 esac; \
599 done; \
600 dot_seen=no; \
601 target=`echo $@ | sed s/-recursive//`; \
602 list='$(SUBDIRS)'; for subdir in $$list; do \
603 echo "Making $$target in $$subdir"; \
604 if test "$$subdir" = "."; then \
605 dot_seen=yes; \
606 local_target="$$target-am"; \
607 else \
608 local_target="$$target"; \
609 fi; \
610 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
611 || eval $$failcom; \
612 done; \
613 if test "$$dot_seen" = "no"; then \
614 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
615 fi; test -z "$$fail"
616
617$(RECURSIVE_CLEAN_TARGETS):
618 @fail= failcom='exit 1'; \
619 for f in x $$MAKEFLAGS; do \
620 case $$f in \
621 *=* | --[!k]*);; \
622 *k*) failcom='fail=yes';; \
623 esac; \
624 done; \
625 dot_seen=no; \
626 case "$@" in \
627 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
628 *) list='$(SUBDIRS)' ;; \
629 esac; \
630 rev=''; for subdir in $$list; do \
631 if test "$$subdir" = "."; then :; else \
632 rev="$$subdir $$rev"; \
633 fi; \
634 done; \
635 rev="$$rev ."; \
636 target=`echo $@ | sed s/-recursive//`; \
637 for subdir in $$rev; do \
638 echo "Making $$target in $$subdir"; \
639 if test "$$subdir" = "."; then \
640 local_target="$$target-am"; \
641 else \
642 local_target="$$target"; \
643 fi; \
644 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
645 || eval $$failcom; \
646 done && test -z "$$fail"
647tags-recursive:
648 list='$(SUBDIRS)'; for subdir in $$list; do \
649 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
650 done
651ctags-recursive:
652 list='$(SUBDIRS)'; for subdir in $$list; do \
653 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
654 done
655
656ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
657 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
658 unique=`for i in $$list; do \
659 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
660 done | \
661 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
662 END { if (nonempty) { for (i in files) print i; }; }'`; \
663 mkid -fID $$unique
664tags: TAGS
665
666TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
667 $(TAGS_FILES) $(LISP)
668 set x; \
669 here=`pwd`; \
670 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
671 include_option=--etags-include; \
672 empty_fix=.; \
673 else \
674 include_option=--include; \
675 empty_fix=; \
676 fi; \
677 list='$(SUBDIRS)'; for subdir in $$list; do \
678 if test "$$subdir" = .; then :; else \
679 test ! -f $$subdir/TAGS || \
680 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
681 fi; \
682 done; \
683 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
684 unique=`for i in $$list; do \
685 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
686 done | \
687 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
688 END { if (nonempty) { for (i in files) print i; }; }'`; \
689 shift; \
690 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
691 test -n "$$unique" || unique=$$empty_fix; \
692 if test $$# -gt 0; then \
693 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
694 "$$@" $$unique; \
695 else \
696 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
697 $$unique; \
698 fi; \
699 fi
700ctags: CTAGS
701CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
702 $(TAGS_FILES) $(LISP)
703 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
704 unique=`for i in $$list; do \
705 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
706 done | \
707 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
708 END { if (nonempty) { for (i in files) print i; }; }'`; \
709 test -z "$(CTAGS_ARGS)$$unique" \
710 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
711 $$unique
712
713GTAGS:
714 here=`$(am__cd) $(top_builddir) && pwd` \
715 && $(am__cd) $(top_srcdir) \
716 && gtags -i $(GTAGS_ARGS) "$$here"
717
718distclean-tags:
719 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
720
721distdir: $(DISTFILES)
722 @case `sed 15q $(srcdir)/NEWS` in \
723 *"$(VERSION)"*) : ;; \
724 *) \
725 echo "NEWS not updated; not releasing" 1>&2; \
726 exit 1;; \
727 esac
728 @list='$(MANS)'; if test -n "$$list"; then \
729 list=`for p in $$list; do \
730 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
731 if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
732 if test -n "$$list" && \
733 grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
734 echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
735 grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
736 echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
737 echo " typically \`make maintainer-clean' will remove them" >&2; \
738 exit 1; \
739 else :; fi; \
740 else :; fi
741 $(am__remove_distdir)
742 test -d "$(distdir)" || mkdir "$(distdir)"
743 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
744 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
745 list='$(DISTFILES)'; \
746 dist_files=`for file in $$list; do echo $$file; done | \
747 sed -e "s|^$$srcdirstrip/||;t" \
748 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
749 case $$dist_files in \
750 */*) $(MKDIR_P) `echo "$$dist_files" | \
751 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
752 sort -u` ;; \
753 esac; \
754 for file in $$dist_files; do \
755 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
756 if test -d $$d/$$file; then \
757 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
758 if test -d "$(distdir)/$$file"; then \
759 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
760 fi; \
761 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
762 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
763 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
764 fi; \
765 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
766 else \
767 test -f "$(distdir)/$$file" \
768 || cp -p $$d/$$file "$(distdir)/$$file" \
769 || exit 1; \
770 fi; \
771 done
772 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
773 if test "$$subdir" = .; then :; else \
774 test -d "$(distdir)/$$subdir" \
775 || $(MKDIR_P) "$(distdir)/$$subdir" \
776 || exit 1; \
777 fi; \
778 done
779 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
780 if test "$$subdir" = .; then :; else \
781 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
782 $(am__relativize); \
783 new_distdir=$$reldir; \
784 dir1=$$subdir; dir2="$(top_distdir)"; \
785 $(am__relativize); \
786 new_top_distdir=$$reldir; \
787 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
788 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
789 ($(am__cd) $$subdir && \
790 $(MAKE) $(AM_MAKEFLAGS) \
791 top_distdir="$$new_top_distdir" \
792 distdir="$$new_distdir" \
793 am__remove_distdir=: \
794 am__skip_length_check=: \
795 am__skip_mode_fix=: \
796 distdir) \
797 || exit 1; \
798 fi; \
799 done
800 $(MAKE) $(AM_MAKEFLAGS) \
801 top_distdir="$(top_distdir)" distdir="$(distdir)" \
802 dist-hook
803 -test -n "$(am__skip_mode_fix)" \
804 || find "$(distdir)" -type d ! -perm -755 \
805 -exec chmod u+rwx,go+rx {} \; -o \
806 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
807 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
808 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
809 || chmod -R a+r "$(distdir)"
810dist-gzip: distdir
811 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
812 $(am__remove_distdir)
813dist-bzip2: distdir
814 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
815 $(am__remove_distdir)
816
817dist-lzma: distdir
818 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
819 $(am__remove_distdir)
820
821dist-xz: distdir
822 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
823 $(am__remove_distdir)
824
825dist-tarZ: distdir
826 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
827 $(am__remove_distdir)
828
829dist-shar: distdir
830 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
831 $(am__remove_distdir)
832
833dist-zip: distdir
834 -rm -f $(distdir).zip
835 zip -rq $(distdir).zip $(distdir)
836 $(am__remove_distdir)
837
838dist dist-all: distdir
839 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
840 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
841 $(am__remove_distdir)
842
843# This target untars the dist file and tries a VPATH configuration. Then
844# it guarantees that the distribution is self-contained by making another
845# tarfile.
846distcheck: dist
847 case '$(DIST_ARCHIVES)' in \
848 *.tar.gz*) \
849 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
850 *.tar.bz2*) \
851 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
852 *.tar.lzma*) \
853 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
854 *.tar.xz*) \
855 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
856 *.tar.Z*) \
857 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
858 *.shar.gz*) \
859 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
860 *.zip*) \
861 unzip $(distdir).zip ;;\
862 esac
863 chmod -R a-w $(distdir); chmod a+w $(distdir)
864 mkdir $(distdir)/_build
865 mkdir $(distdir)/_inst
866 chmod a-w $(distdir)
867 test -d $(distdir)/_build || exit 0; \
868 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
869 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
870 && am__cwd=`pwd` \
871 && $(am__cd) $(distdir)/_build \
872 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
873 $(DISTCHECK_CONFIGURE_FLAGS) \
874 && $(MAKE) $(AM_MAKEFLAGS) \
875 && $(MAKE) $(AM_MAKEFLAGS) dvi \
876 && $(MAKE) $(AM_MAKEFLAGS) check \
877 && $(MAKE) $(AM_MAKEFLAGS) install \
878 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
879 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
880 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
881 distuninstallcheck \
882 && chmod -R a-w "$$dc_install_base" \
883 && ({ \
884 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
885 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
886 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
887 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
888 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
889 } || { rm -rf "$$dc_destdir"; exit 1; }) \
890 && rm -rf "$$dc_destdir" \
891 && $(MAKE) $(AM_MAKEFLAGS) dist \
892 && rm -rf $(DIST_ARCHIVES) \
893 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
894 && cd "$$am__cwd" \
895 || exit 1
896 $(am__remove_distdir)
897 @(echo "$(distdir) archives ready for distribution: "; \
898 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
899 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
900distuninstallcheck:
901 @$(am__cd) '$(distuninstallcheck_dir)' \
902 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
903 || { echo "ERROR: files left after uninstall:" ; \
904 if test -n "$(DESTDIR)"; then \
905 echo " (check DESTDIR support)"; \
906 fi ; \
907 $(distuninstallcheck_listfiles) ; \
908 exit 1; } >&2
909distcleancheck: distclean
910 @if test '$(srcdir)' = . ; then \
911 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
912 exit 1 ; \
913 fi
914 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
915 || { echo "ERROR: files left in build directory after distclean:" ; \
916 $(distcleancheck_listfiles) ; \
917 exit 1; } >&2
918check-am: all-am
919 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
920 $(MAKE) $(AM_MAKEFLAGS) check-local
921check: check-recursive
922all-am: Makefile $(PROGRAMS) $(MANS) $(HEADERS) config.h
923installdirs: installdirs-recursive
924installdirs-am:
925 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
926 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
927 done
928install: install-recursive
929install-exec: install-exec-recursive
930install-data: install-data-recursive
931uninstall: uninstall-recursive
932
933install-am: all-am
934 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
935
936installcheck: installcheck-recursive
937install-strip:
938 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
939 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
940 `test -z '$(STRIP)' || \
941 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
942mostlyclean-generic:
943
944clean-generic:
945
946distclean-generic:
947 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
948 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
949 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
950
951maintainer-clean-generic:
952 @echo "This command is intended for maintainers to use"
953 @echo "it deletes files that may require special tools to rebuild."
954clean: clean-recursive
955
956clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
957 mostlyclean-am
958
959distclean: distclean-recursive
960 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
961 -rm -rf $(DEPDIR) ./$(DEPDIR)
962 -rm -f Makefile
963distclean-am: clean-am distclean-compile distclean-generic \
964 distclean-hdr distclean-tags
965
966dvi: dvi-recursive
967
968dvi-am:
969
970html-am:
971
972info: info-recursive
973
974info-am:
975
976install-data-am: install-man
977
978install-dvi: install-dvi-recursive
979
980install-dvi-am:
981
982install-exec-am: install-binPROGRAMS install-exec-local
983
984install-html: install-html-recursive
985
986install-html-am:
987
988install-info: install-info-recursive
989
990install-info-am:
991
992install-man: install-man1
993
994install-pdf: install-pdf-recursive
995
996install-pdf-am:
997
998install-ps: install-ps-recursive
999
1000install-ps-am:
1001
1002installcheck-am:
1003
1004maintainer-clean: maintainer-clean-recursive
1005 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1006 -rm -rf $(top_srcdir)/autom4te.cache
1007 -rm -rf $(DEPDIR) ./$(DEPDIR)
1008 -rm -f Makefile
1009maintainer-clean-am: distclean-am maintainer-clean-generic
1010
1011mostlyclean: mostlyclean-recursive
1012
1013mostlyclean-am: mostlyclean-compile mostlyclean-generic
1014
1015pdf: pdf-recursive
1016
1017pdf-am:
1018
1019ps: ps-recursive
1020
1021ps-am:
1022
1023uninstall-am: uninstall-binPROGRAMS uninstall-man
1024
1025uninstall-man: uninstall-man1
1026
1027.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check-am \
1028 ctags-recursive install-am install-strip tags-recursive
1029
1030.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1031 all all-am am--refresh check check-am check-local clean \
1032 clean-binPROGRAMS clean-checkPROGRAMS clean-generic ctags \
1033 ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-hook \
1034 dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
1035 distclean distclean-compile distclean-generic distclean-hdr \
1036 distclean-tags distcleancheck distdir distuninstallcheck dvi \
1037 dvi-am html html-am info info-am install install-am \
1038 install-binPROGRAMS install-data install-data-am install-dvi \
1039 install-dvi-am install-exec install-exec-am install-exec-local \
1040 install-html install-html-am install-info install-info-am \
1041 install-man install-man1 install-pdf install-pdf-am install-ps \
1042 install-ps-am install-strip installcheck installcheck-am \
1043 installdirs installdirs-am maintainer-clean \
1044 maintainer-clean-generic mostlyclean mostlyclean-compile \
1045 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
1046 uninstall uninstall-am uninstall-binPROGRAMS uninstall-man \
1047 uninstall-man1
1048
1049
1050# Forward targets
1051
1052html:
1053 cd doc && $(MAKE) $(AM_MAKEFLAGS) $@
1054
1055.PHONY: html
1056
1057install-exec-local:
1058 @if $(inst_setgid); then \
1059 app=$(DESTDIR)$(bindir)/`echo $(bin_PROGRAMS)|sed '$(transform)'`; \
1060 if chgrp $(inst_group) $$app && chmod g+s $$app; then \
1061 echo "chgrp $(inst_group) $$app && chmod g+s $$app"; \
1062 else \
1063 echo "$$app needs to be owned by group $(inst_group) and setgid;"; \
1064 echo "otherwise the \`-l' option will probably not work."; \
1065 echo "You may need special privileges to complete the installation"; \
1066 echo "of $$app."; \
1067 fi; \
1068 else true; fi
1069
1070# --------------- Local DIST Section
1071
1072# Install the w32 and tests subdirectories
1073#
1074dist-hook:
1075 (cd $(srcdir); \
1076 sub=`find w32 tests -follow \( -name CVS -prune -o -name .cvsignore -o -name work -prune \) -o \( -name \*.orig -o -name \*.rej -o -name \*~ -prune \) -o -type f -print`; \
1077 tar chf - $$sub) \
1078 | (cd $(distdir); tar xfBp -)
1079
1080# --------------- Local CHECK Section
1081
1082check-local: check-regression check-loadavg
1083 @banner=" Regression PASSED: GNU Make $(VERSION) ($(MAKE_HOST)) built with $(CC) "; \
1084 dashes=`echo "$$banner" | sed s/./=/g`; \
1085 echo; \
1086 echo "$$dashes"; \
1087 echo "$$banner"; \
1088 echo "$$dashes"; \
1089 echo
1090
1091.PHONY: check-loadavg check-regression
1092
1093check-loadavg: loadavg$(EXEEXT)
1094 @echo The system uptime program believes the load average to be:
1095 -uptime
1096 @echo The GNU load average checking code thinks:
1097 -./loadavg$(EXEEXT)
1098
1099check-regression:
1100 @if test -f "$(srcdir)/tests/run_make_tests"; then \
1101 if $(PERL) -v >/dev/null 2>&1; then \
1102 case `cd $(srcdir); pwd` in `pwd`) : ;; \
1103 *) test -d tests || mkdir tests; \
1104 rm -f srctests; \
1105 if ln -s "$(srcdir)/tests" srctests; then \
1106 for f in run_make_tests run_make_tests.pl test_driver.pl scripts; do \
1107 rm -f tests/$$f; ln -s ../srctests/$$f tests; \
1108 done; fi ;; \
1109 esac; \
1110 echo "cd tests && $(PERL) ./run_make_tests.pl -make ../make$(EXEEXT) $(MAKETESTFLAGS)"; \
1111 cd tests && $(PERL) ./run_make_tests.pl -make ../make$(EXEEXT) $(MAKETESTFLAGS); \
1112 else \
1113 echo "Can't find a working Perl ($(PERL)); the test suite requires Perl."; \
1114 fi; \
1115 else \
1116 echo "Can't find the GNU Make test suite ($(srcdir)/tests)."; \
1117 fi
1118
1119# --------------- Maintainer's Section
1120
1121# Tell automake that I haven't forgotten about this file and it will be
1122# created before we build a distribution (see maintMakefile in the CVS
1123# distribution).
1124
1125README:
1126
1127@MAINT_MAKEFILE@
1128
1129# Tell versions [3.59,3.63) of GNU make to not export all variables.
1130# Otherwise a system limit (for SysV at least) may be exceeded.
1131.NOEXPORT:
注意: 瀏覽 TracBrowser 來幫助您使用儲存庫瀏覽器

© 2025 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette